/******************************************************************************
FILE:				MMdDirect.hh
LANGUAGE:			C++
SYSTEM:				None
USER-INTERFACE:		None
DESCRIPTION
	This class define a pseudo-null-modem module.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1994/01/17 <PJB> Creation.
	1994/02/22 <PJB> Added className method.
	1994/03/25 <PJB> Added parity inhibition option.
LEGAL
	Copyright Pascal J. Bourguignon 1994 - 1994
	All Rights Reserved.
******************************************************************************/
#ifndef __MMdDirect__
#define __MMdDirect__
#include <mnames.h>
#include BCINTERFACE_H
#include BCTYPES_H
#include MMODULE_HH
#include MMODEM_HH
#include MSERIAL_HH
#include MMDVIASERIAL_HH
	
	
#define MMdDirect_SUPER MMdViaSerial
class MMdDirect:public MMdDirect_SUPER
{
public:

	CONSTRUCTOR(MMdDirect,(void))
	DESTRUCTOR(MMdDirect,(void))
	
// MObject methods:

	METHOD(MMdDirect,className,(void),const char*)

// MModule methods:
// MModem methods:

	METHOD(MMdDirect,dialAndConnect,(const char* number),void)
	METHOD(MMdDirect,connect,(void),void)
	METHOD(MMdDirect,disconnect,(void),void)
	METHOD(MMdDirect,startTurnAround,(void),void)
	METHOD(MMdDirect,processOutput,(const char* buffer,INT32 count),void)

// MMdDirect methods:

	// none.

protected:
	// none.
};//MMdDirect.


#endif //MMdDirect.
