/******************************************************************************
FILE:				MMdMinitel.hh
LANGUAGE:			C++
SYSTEM:				None
USER-INTERFACE:		None
DESCRIPTION
	This class define a modem module via a Minitel-1B socket.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1994/01/17 <PJB> Creation.
	1994/02/22 <PJB> Added className method.
LEGAL
	Copyright Pascal J. Bourguignon 1994 - 1994
	All Rights Reserved.
******************************************************************************/
#ifndef __MMdMinitel__
#define __MMdMinitel__
#include <mnames.h>
#include BCINTERFACE_H
#include BCTYPES_H
#include MMODULE_HH
#include MMODEM_HH
#include MSERIAL_HH
#include MMDVIASERIAL_HH
	
	
#define MMdMinitel_SUPER MMdViaSerial
class MMdMinitel:public MMdMinitel_SUPER
{
public:

	CONSTRUCTOR(MMdMinitel,(void))
	DESTRUCTOR(MMdMinitel,(void))
	
// MObject methods:

	METHOD(MMdMinitel,className,(void),const char*)

// MModule methods:
// MModem methods:

// MMdMinitel methods:
	METHOD(MMdMinitel,setSerial,(MSerial* nSerial),void)
	
	METHOD(MMdMinitel,setControler,(MModemControler* nModemControler),void)
	
	METHOD(MMdMinitel,setMode,(MModem_ModeT newMode),void)
		// PRE: state()=Disconnected.


	METHOD(MMdMinitel,dialAndConnect,(char* number),void)
		// PRE: state()=Disconnected.
		// not truly a Minitel1B function, but added for Hayes modems,
		// or emulation with a Minitel1B via its socket.
	METHOD(MMdMinitel,connect,(void),void)
		// PRE: state()=Disconnected.

	METHOD(MMdMinitel,disconnect,(void),void)
		// PRE: state()!=Disconnected.

// returning to slave mode:
	METHOD(MMdMinitel,startTurnAround,(void),void)
	
		
	METHOD(MMdMinitel,process,(const char* buffer,INT32 count,INT32 ref),void)
		/*
			PRE: state()=Connected.
			if ref = serial line ref then
				check and filter parity bits and sentToOutput
			 else add parity bits and send to serial line.
		*/

protected:
	// SEE
};//MMdMinitel.


#endif //MMdMinitel.
