/******************************************************************************
FILE:				MMdViaSerial.hh
LANGUAGE:			C++
SYSTEM:				None
USER-INTERFACE:		None
DESCRIPTION
	This class define an abstract modem module whose hardware modem is accessed 
	via a serial line.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1994/02/03 <PJB> Creation.
	1994/02/15 <PJB> Added sendToSerial.
	1994/02/22 <PJB> Added className method.
LEGAL
	Copyright Pascal J. Bourguignon 1994 - 1994
	All Rights Reserved.
******************************************************************************/
#ifndef __MMdViaSerial__
#define __MMdViaSerial__
#include <mnames.h>
#include BCINTERFACE_H
#include BCTYPES_H
#include MMODEM_HH
#include MSERIAL_HH


#define MMdViaSerial_SUPER MModem
class MMdViaSerial:public MMdViaSerial_SUPER
{
public:

	CONSTRUCTOR(MMdViaSerial,(void))
	DESTRUCTOR(MMdViaSerial,(void))
	
// MObject methods:

	METHOD(MMdViaSerial,className,(void),const char*)

// MModule methods:	
// MModem methods:
// MMdViaSerial methods:

	METHOD(MMdViaSerial,setSerial,(MSerial* nSerial),void)
	METHOD(MMdViaSerial,serial,(void),MSerial*)
	
protected:
	MSerial*		serialLine;

	METHOD(MMdViaSerial,sendToSerial,(const char* buffer,INT32 size),void)
		// if(serialLine!=NIL){ serialLine->process(buffer,size,-1); }	
};

#endif //MMdViaSerial.

