/******************************************************************************
FILE:				MSerial.hh
LANGUAGE:			C++
SYSTEM:				None
USER-INTERFACE:		None
DESCRIPTION
	This class define an abstract serial line object.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1993/12/21 <PJB> Creation.
	1994/01/17 <PJB> Promoted speed to INT32 from INT16.
	1994/02/22 <PJB> Added className method.
LEGAL
	Copyright Pascal J. Bourguignon 1993 - 1993
	All Rights Reserved.
******************************************************************************/
#ifndef __MSerial__
#define __MSerial__
#include <mnames.h>
#include MMODULE_HH
#include BCTYPES_H
#include BCINTERFACE_H

#define MSerial_SUPER MModule
class MSerial:public MSerial_SUPER
{
public:

	CONSTRUCTOR(MSerial,(void))
	DESTRUCTOR(MSerial,(void))
	
// MObject methods:

	METHOD(MSerial,className,(void),const char*)

// MModule methods:

	/*
		Subclasses must override process(buf,len,outputRef) to send bytes to
		the serial line. Bytes received from the serial line should be 
		sendToOutput()'ed.
	*/
	
// MSerial methods:		

	METHOD(MSerial,open,(const char* portname),void)
	METHOD(MSerial,close,(void),void)
	METHOD(MSerial,setSpeed,(INT32 nSendSpeed,INT32 nReceiveSpeed),void)
	METHOD(MSerial,getSpeed,(INT32* cSendSpeed,INT32* cReceiveSpeed),void)
	
	METHOD(MSerial,sendBreak,(void),void)
	
protected:
	INT32				sendSpeed;
	INT32				receiveSpeed;
};//MSerial.


#endif //MSerial.
