/******************************************************************************
FILE:				MView.hh
LANGUAGE:			C++
SYSTEM:				None
USER-INTERFACE:		None
DESCRIPTION
	This class define an abstract view object.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1993/12/22 <PJB> Creation.
	1993/12/23 <PJB> merged newSize and initialize.
LEGAL
	Copyright Pascal J. Bourguignon 1993 - 1993
	All Rights Reserved.
******************************************************************************/
#ifndef __MView__
#define __MView__
#include <mnames.h>
#include MSCREEN_HH
#include BCTYPES_H
#include BCINTERFACE_H


class MView
{
public:

	CONSTRUCTOR(MView,(void))
	DESTRUCTOR(MView,(void))
	
// MView methods:

	METHOD(MView,initialize,(MScreen* screen,INT16 width,INT16 height),void)
		/*
			// resize itself,
			screen->setClut(myPreferedClut);
		*/
		
	METHOD(MView,screenChanged,(MScreen* screen),void)
		/*
			This method must be called automatically at least twice per 
			second to allow blinking of text and cursor.
			
				MScreen_RectT		rect1;
				MScreen_RectT		rect2;
				MScreen_PixMapT		pixmap=screen->pixMap(); // can be cached.
			
			switch(screen->getUpdate(timeInMilliseconds,&rect1,&rect2)){
			case MScreen_Result_Beep:
				// beep;
			case MScreen_Result_Update:
				// update rect1 and rect2 if not empty
				// rect is empty <=> rect.right<rect.left
				break;
			default:
				break;
			}//switch;
			screen->setUpdated();
		*/
		
protected:
};//MView.


#endif //MView.
